#include <myericsson/gsm.h>
#include <unistd.h>
#include <stdio.h>

int main (int argc, char *argv[]) {
	FILE *fd;
	response_t response;
	int i;

	if (argc == 1) {
		fprintf (stderr, "Usage: test-ericsson device\n");
		return 0;
	}

	i = access (argv[1], R_OK | W_OK);

	if (i<0) {
		fprintf (stderr, "Unable to open device %s\n", argv[1]);
		return 0;
	}

	fd = openDevice (argv[1]);

	getManufactorerIdentification (fd, &response);

	printf ("stato = %d\n", response.status);
	printf ("errore = %d\n", response.error);
	printf ("dati = %s\n", &(response.data));

	closeDevice (fd);

	return 1;
}
